Subject: Ticket Assigned - Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 17 Jan 2023 06:54:50 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Feedback for:  If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Return my credit please thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5595745